Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tapestry5.plastic
Enum TransformationOption

    java.lang.Object
      java.lang.Enum<TransformationOption>
          org.apache.tapestry5.plastic.TransformationOption

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TransformationOption>

    public enum TransformationOption

extends java.lang.Enum<TransformationOption>

Options used when transforming classes. By default, no options are enabled, they must be specifically enabled using `PlasticManager.PlasticManagerBuilder.enable(TransformationOption)`.

Enum Constant Summary
`FIELD_WRITEBEHIND` When enabled, fields that have a `FieldConduit` will write the value sent to, or returned by, the conduit.

Method Summary
`static TransformationOption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TransformationOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FIELD_WRITEBEHIND

    public static final TransformationOption FIELD_WRITEBEHIND

  When enabled, fields that have a `FieldConduit` will write the value sent to, or returned by, the conduit. This is essential for debugging of the transformed class.

  See Also:
    `PlasticField.setConduit(FieldConduit)`

Method Detail

### values

    public static final TransformationOption[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TransformationOption c : TransformationOption.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TransformationOption valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2012 The Apache Software Foundation.